Package javax.servlet.jsp.tagext

# Class PageData

java.lang.Object
javax.servlet.jsp.tagext.PageData

public abstract class PageData extends Object
Translation-time information on a JSP page. The information corresponds to the XML view of the JSP page.

Objects of this type are generated by the JSP translator, e.g. when being passed to a TagLibraryValidator instance.

## Constructor Summary

Constructors
Constructor
Description
`PageData()`
Sole constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract InputStream`
`getInputStream()`
Returns an input stream on the XML view of a JSP page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageData

public PageData()
Sole constructor. (For invocation by subclass constructors, typically implicit.)

## Method Details

### getInputStream

public abstract InputStream getInputStream()
Returns an input stream on the XML view of a JSP page. The stream is encoded in UTF-8. Recall that the XML view of a JSP page has the include directives expanded.

Returns:
  An input stream on the document.